All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::column_major Struct Reference

A tag for column-major storage of a dense matrix. More...

`#include <forwards.h>`

## Public Types

typedef column_major_tag | orientation_category

## Static Public Member Functions

static vcl_size_t | mem_index (vcl_size_t i, vcl_size_t j, vcl_size_t num_rows, vcl_size_t)
| Returns the memory offset for entry (i,j) of a dense matrix. More...

## Detailed Description

A tag for column-major storage of a dense matrix.

Definition at line 321 of file forwards.h.

## Member Typedef Documentation

typedef column_major_tag viennacl::column_major::orientation_category

Definition at line 323 of file forwards.h.

## Member Function Documentation

static vcl_size_t viennacl::column_major::mem_index | ( | vcl_size_t | i,
|  | vcl_size_t | j,
|  | vcl_size_t | num_rows,
|  | vcl_size_t |
| ) |  |

inline static

Returns the memory offset for entry (i,j) of a dense matrix.

Parameters

  i | row index
  j | column index
  num_rows | number of entries per row (including alignment)

Definition at line 331 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h